package ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.data.RDFaEntity;
import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 12.09.12
 * Time: 20:06
 */
public class UnknownPrefixRDFaException extends RDFaException {
    public UnknownPrefixRDFaException(final boolean critical, final RDFaEntity card, final String message) {
        super(critical, card, message);
    }
    public UnknownPrefixRDFaException(final boolean critical, final RDFaEntity card, final String message, final EntityLocation location) {
        super(critical, card, message, location);
    }

    @Override
    public String getKey() {
        return "rdfa_unknown_prefix";
    }
}
